Bug 759283 - gsl not linked properly to cblas
gsl not linked properly to cblas
Status: ASSIGNED
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gsl (Show other bugs)
6.1
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Frantisek Kluknavsky
BaseOS QE - Apps
: FastFix, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-01 16:37 EST by Orion Poplawski
Modified: 2016-09-06 12:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2011-12-01 16:37:05 EST
Description of problem:

# rpmlint gsl
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_ctrmv
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_zswap
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_zsymm
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_cgeru
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_sgemm
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_ctrsv
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_sgemv
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_srotg
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_zgemm
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_cdotu_sub
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_dznrm2
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_ddot
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_csymm
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_cher2k
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_zdotu_sub
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_sdot
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_sdsdot
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_cgerc
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_scnrm2
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_ctrmm
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_sscal
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_strmm
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_zcopy
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_dsyrk
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_cherk
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_zherk
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_zher
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_ztrmv
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_drotmg
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_dswap
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_scopy
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_scasum
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_zscal
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_drotg
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_zdotc_sub
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_cscal
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_caxpy
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_zsyr2k
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_ssyr2k
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_csyr2k
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_ztrsm
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_ctrsm
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_ssymm
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_cdotc_sub
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_zher2k
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_saxpy
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_idamax
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_snrm2
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_dsdot
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_cher
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_dger
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_cher2
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_dzasum
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_dsyr2
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_ssyrk
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_strmv
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_dgemv
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_cgemm
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_dasum
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_dsymv
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_srotm
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_sswap
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_dtrmv
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_isamax
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_zhemv
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_zaxpy
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_dcopy
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_sasum
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_dsyr
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_strsm
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_drot
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_ztrsv
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_izamax
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_ssymv
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_chemm
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_zgeru
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_dtrsv
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_sger
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_srot
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_dsymm
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_ztrmm
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_zdscal
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_zher2
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_ssyr
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_dtrmm
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_zgerc
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_csscal
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_dsyr2k
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_chemv
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_dnrm2
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_drotm
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_icamax
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_zgemv
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_zhemm
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_cgemv
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_ssyr2
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_strsv
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_dscal
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_dgemm
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_srotmg
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_dtrsm
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_ccopy
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_zsyrk
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_cswap
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_daxpy
gsl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgsl.so.0.14.0 cblas_csyrk

Version-Release number of selected component (if applicable):
gsl-1.13-1.el6.x86_64
Comment 3 Suzanne Yeghiayan 2012-02-14 18:22:17 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 4 Susi Lehtola 2012-03-19 12:03:30 EDT
I got bit by this as well.
Comment 10 Susi Lehtola 2014-02-15 16:07:47 EST
When bug #1007058 this will be automatically solved..

Note You need to log in before you can comment on or make changes to this bug.